﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SwrCnfg
{
    public partial class ComDlg : Form
    {
        bool suspend = false;
        string buffer = "";

        public ComDlg(Form1 parent)
        {
            InitializeComponent();
        }

        public void AppendText(string text)
        {
            if (this.WindowState != FormWindowState.Minimized)
                buffer += text + "\r\n";
            else
                buffer = "";
        }

        private void butClear_Click(object sender, EventArgs e)
        {
            txtText.Text = "";
        }

        private void butSuspend_Click(object sender, EventArgs e)
        {
            suspend = !suspend;
            butSuspend.Text = suspend ? "Resume" : "Suspend";
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (!suspend)
            {
                txtText.Text += buffer;
                buffer = "";
            }
        }

        private void ComDlg_FormClosed(object sender, FormClosedEventArgs e)
        {
            Form1 p = Parent as Form1;
            if (p != null)
                p.comdlg = null;
        }

    }
}
